draai NEWS - user visible changes (and some other changes also.)

Refer to ChangeLog for detailed per-file info.


draai version 20260222 - The Brangk Release

- NEWS: cleanup.


draai version 20260114 - The De Zeggen Release

- contrib/{MANIFEST.in,Makefile,bootstrap,setup.py.in,test.py}: removed:
  some historic cruft, mainly from the Python-era (before 2007).
- setup: make sure we ship contrib/ in our tarball, and make sure
  to install libexecdir/{mp3symlinks,mpd-bot}.


draai version 20260113 -  The Keropars Release

- This release comes with mpd-bot, contributed by Wessel Dankers.
  mpd-bot writes to and reads from an IRC channel.  And it writes to and reads
  from an mpd.  This way, it offers mpc (and draai)-like functionality via IRC.
  Beware!  This script was initially written in Jan 2016, it still uses the
  now obsolete Net::IRC module.  It should get rewritten to use Bot::BasicBot.
  It seems it can't deal with IRC over TLS/SSL (6697/tcp); it still uses clear
  text ircd 6667/tcp.  Furthermore, the script is not documented yet; and all
  its configuration (IRC channel, mpd socket) is hardcoded.
- man/draai.azm: update link to herrie(1)


draai version 20250202 - The краља Милана 20, 11000 Београд Release

- man/dr_watch.azm, man/draai.azm, script/draai123: fix some English language
  mistakes: s/wether/whether/ etc.  Thanks Gürkan Myczko for publishing
  http://sid.ethz.ch/debian/report/codespell/draai-20180521.html .
- script/dr_init: added: make life a bit more easy for those not running mpd
  as a system daemon, but choosing to run it under a normal user account so
  that it interacts better with e.g. Firefox talking to the soundcard
  concurrently via PulseAudio.
- README: document availabily of draai PKGBUILD for Arch Linux users, thanks
  SCHAPiE.


draai version 20201215 - The 江漢區 Release

- script/draai.in, man/draai.azm: improve the "init" command:
  + behaviour is changed: no longer run "dr_watch mpc" by default, but only if
    new variable DR_INIT_WATCH is set to "true".  This change limits the amount
    of syslog spamming.
  + mention some more honored environment variables in draai(1).


draai version 20180521 - The Miramar Release

- script/draai.in: improve the "init" command:
  + run ncmpcpp in case DR_INIT_NCMPCPP is set to "true".  ncmpcpp is an
    ncurses-based client for MPD, see http://unkart.ovh.org/ncmpcpp/ .

- script/dr_watch, script/draai.in: Behaviour of script dr_watch has changed:
  default sleep command is no longer "mpc idle" but "sleep 2", like watch(1).
  However, when calling it as "draai watch", behaviour is unchanged: draai(1)
  now sets DR_SLEEP_CMD to "mpc idle" when calling dr_watch.


draai version 20160601 - The Јадар Release

- script/dr_watch: Apply patch contributed by Wessel Dankers:
  + no longer use tmpfiles
  + use tput (shipped with ncurses-bin on Debian systems) to do smart redrawing
    of the screen. under some circumstances, 'draai watch' would show some
    annoying and distracting flicker.  This patch solves that problem.
  + deal sane with "$@": no longer chokes on spaces in command

- script/draai.in: improve the "init" command:
  + use dr_watch in the status window, not watch(1)
  + do not blindly assume we can write to /dev/tty12
  + fix bug in x-terminal-emulator call: don't pass "draai logtail" but pass
    draai logtail.  We used to support just terminals like xterm and
    gnome-terminal; now we also support st (aka stterm).

- script/dr_radio: another helper, as of yet largely undocumented (and not
  installed in $PATH).  Planned to get implemented RSN as "draai radio".

- script/draai.in, man/draai.azm, help/command/zap: implemented new command
  "zap".


draai version 20150228 - The Nieuwe Leij Release

- when started with "draai init", draai used to call mpc more than 5 times
  every 2 seconds.  Now it calls mpc only once every 5 seconds: better
  performance, nicer for mpd.

- script/draai.in: "tail" (and syslog) 'use "mpc idle": do not spam mpd log with
  extraneous client access'

- script/dr_watch: use DR_NICE_WATCH, DR_SLEEP_CMD; give sane error message if
  needed; dr_watch and "draai watch" working changed: will not call watch(1)
  unless DR_NICE_WATCH is explicitly set to "false".

- script/draai.in: changed "init" from
   xterm -e "dr_watch draai peek" &
   xterm -e "draai logtail" &
   draai tail
  to
   x-term -e "draai logtail" &
   x-term -e "watch --no-title --interval 10 mpc" &
   x-term -e "draai watch" &
  : draai init will now keep the running xterm available; it will do a kind of
  running "draai status" (since this is no longer supplied as part of "draai
  peek"); it will no longer do "draai tail" since "draai logtail" gives more and
  better output.


draai version 20140828 - The Nuuk Release

- man/draai.azm: add some more information on how to get started.
- help/command/add, help/command/listall, man/include.zmm.in, script/draai.in:
  implemented and documented new commands "listall" and "add".
- man/draai.azm: documented commands "watch", "play", "crescendo", "diminuendo",
  "shuffle", "listall", "add" in draai(1)


draai version 20131212 - The Witte Reiger Release

- help/command/search: Fix bug on tab completion: "_draai:50: parse error near
  `|'".
- man/draai.azm: Move example on command 'search' to new section EXAMPLES in
  draai(1) manpage.


draai version 20131020 - The Plexus aka Het Platenmanneke Release

- script/dr_permutate: refer to shuf(1) and unsort(1) as alternatives in
  dr_permutate(1) manpage.
- script/draai.in: radiostations now displayed somewhat less sloppy in "peek".
- script/draai.in, help/command/insert: command "insert" now accepts files on
  stdin (not just as args).
- script/draai.in, help/command/search: implemented new command "search".  One
  now can run e.g.  "draai search 'delia gone' | draai insert".
- script/draai.in, help/command/move: implemented new command "move" (plain
  wrapper for 'mpc move <from> <to>'.)
- man/dr_unsort.azm: minor fix in dr_unsort(1) manpage.
- README: minor updates.


draai version 20130228 - The Arjuna, Mill Road, CB1 Release

- setup: no longer ship and no longer install scripts: dr_cdrip, dr_mount,
  dr_push; manpage: dr_cdrip(1).  Better alternatives exist.
- draai, help/: added command "watch".


draai version 20130208 - The Schwebebahn Release

- help/, setup: (re)implemented system to generate draai --help output, draai
  zsh completion and draai(1) manpage from one documentation source.
- dr_watch: now runs watch(1) if found, since bug http://bugs.debian.org/240989
  got fixed.


draai version 20120712 - The Lingsfort Release

- draai: bugfix: commands "skip" and "pause" no longer fail when volume is set
  to 100%, or when volume n/a.
- now ships man/draai.html, man/dr_symlinks.html, man/dr_unsort.html and
  man/dr_watch.html (not installed by default).


draai version 20120704 - The Westerik Release

- man/Makefile: get rid of hardcoded ZOEMSEARCHPATH.  We now require zoem >
  10-265-1, and we require aephea at build-from-vcs time.  There still is no
  dependency upon zoem for building from tarball.
- draai: when invoked with command tail, syslog, list, peek (and staart, spiek),
  and with option --raw, add position to displayed tags


draai version 20110603

- dr_symlinks: now honors DR_SL_RCFILE.
- draai: add new (not yet fully documented) extra aliases: init: genesis; next:
  volgende; unguestlist: unfriend, ontvriend; insert: voegin; skip: slaover;
  fastforward: voorwaarts; tail: staart; peek: spiek; play (unpause, resume):
  ga; quit (exit, stop, pause): ho.  Thanks Guus Sliepen and jiggel for
  suggestion.
- fix cosmetic bugs in draai(1) and other manpages.  Thanks Stijn van Dongen for
  zoem support.


draai version 20110516

- setup: autogenerate ChangeLog
- draai, help/command/insert, man/draai.azm: documented command insert
- man/Makefile, man/dr_symlinks.azm, man/dr_unsort.azm, man/dr_watch.azm,
  man/draai.azm: converted manpages to format zoem >= 10-265-1


draai version 20100511

- draai: now compatible with mpc >= 0.18: use %position% if mpc supports this.
  (Earlier draai releases are next to unusable with mpc >= 0.18, see mpc
  changelog.  We are not yet using %id%.)
- draai: command "pause" now does fadeout, and honors --time.
- draai: command "play" (and "unpause" and "resume") now honors --time.
- draai: added new command "insert".
- man/dr_unsort: manpage added.
- dr_unsort is now installed in /usr/{local/,}bin (was libexecdir).
- draai is no longer maintained using GNU Arch, but using the git Version
  Control System.


draai version 20090615

- setup, zsh/_draai.in: Use templates in help/ for generating zsh tabcompletion
  information on draai commands.
- help/shortoption: added all lacking files.
- man/draai.azm: mention short optionnames too.
- help/option/noshuffle: refer to dr_unsort.
- documented harder|crescendo|louder and zachter|diminuendo|softer
- script/dr_symlinks: environment variables renamed: not ROOTS but
  DR_SL_TARGETS; not MP3HOME but DR_SL_SOURCE.
- added manpages dr_symlinks(1) and dr_watch(1).
- renamed script cdrip to dr_cdrip.
- script draai123 now gets installed.


draai version 20090502

- mp3symlinks is renamed to dr_symlinks; setup now installs script dr_symlinks,
  not mp3symlinks
- script/dr_symlinks: no longer uses ~/.mp3symlinksrc but ~/.draai/symlinksrc
  as configuration file.
- script/dr_symlinks, setup: moved oggsymlinks from /usr/bin/ to
  /usr/share/draai/.
- script/dr_file2tag: added: build tag info from filename, for dealing with
  badly tagged audio files.
- script/dr_watch: added: reimplementation of watch(1) which deals sane with
  utf8. This is now the default watch-implementation used by draai.
- script/dr_unsort: added: wrapper for unsort(1), for playlist management.  New
  configuration variables DR_PLAYLISTS and DR_UNSORT.
- draai: new commands "crescendo" (aka "harder" and "louder") and "diminuendo"
  (aka "zachter" and "softer").  New configuration variable DR_VOLUME_STEP.
- help/{option,command}/*: added: all draai helpfiles are now maintained in one
  place in the source.  Used for manpage, --help and zsh tabcompletion.
- man/draai.azm, man/include.zmm.in: added.  migrated draai(1) manpage from a
  help2man generated one to one written in zoem.
- draai123: added support for flac, added support for mp3info (next to id3)
- draai:
  + fixed bug in quoting, triggered when x-terminal-emulator points to
    gnome-terminal.wrapper.
  + now configurable: draai reads $HOME/.draai/rc and honors DR_-variables in
    environment


draai version 20080614

- draai: "peek" and "tail" command: nicer layout: time is rightadjusted.
- draai: add zsh tabcompletion for "osjittisstil", "resume" and "pause".


draai version 20080516

- dr_push: minor improvement.
- draai: new (yet undocumented) commands "pause" and "resume".
- draai: new command "osjittisstil".
- draai: "tail" command gives nicer layout.
- draai: command "skip" now honors --sloppy even more.
- draai: command "peek" no longer chokes when no playlist is loaded (used to
  give ugly errormessages from tail).
- mp3symlinks: now less verbose.
- oggsymlinks: now honors DR_DEBUG environment variable.


draai version 20080301

- draai: new option --sloppy.  this enhances the "skip" command: it no longer
  gives a little squak after fadeout on old hardware.  (the 20080213 release
  did _not_ fix this...).  the default behaviour of "skip" is to be cautious,
  and wait.  passing --sloppy makes skip behave somewhat more aggressive.


draai version 20080229

- fix bug in ./setup: honor --libexecdir.
- draai: "init" no longer calls xterm, but the (Debian-specific) wrapper
  x-terminal-emulator.


draai version 20080228

- draai: new commands: "unguestlist", "init".
- draai: enhanced command "peek": do not show 10 but 30 upcoming tracks per
  default; honor --raw; also show detailed status of current track.
- draai: enhanced command "list": now honors --raw.
- dr_mount, dr_push: helper scripts added, for interfacing with usb-enabled mp3
  players.  installed in libexecdir/draai per default.
- updated zsh tabcompletion stuff: new draai commands.


draai version 20080217

- draai: new commands: "logtail", "fastforward", "guestlist".
- draai: another bugfix in "delete" command.


draai version 20080214

- major scripts now licensed under GPL v3 or later.
- install dr_permutate manpage.
- fixed bug in "draai delete" (it acted as a no-op).


draai version 20080213

- do no longer abort current track when using "draai" command, but schedule our
  playlist just after the current track.
- draai now is more usable for DJ's:
  + implemented "delete" command.
- fix bug introduced with "improved" skip: get rid of little squaks after
  fadeout due to timing troubles.
- install cdrip(1) and its manpage.


draai version 20080212

- draai now is more usable for DJ's:
  + improved "skip" command: now does fadeout.
- oggsymlinks now honors environment variables DR_VERBOSE and DR_DRYRUN.
- mp3symlinks runs oggsymlinks in verbose-mode by default.


draai version 20080209

- oggsymlinks: backend script added.  Contributed by Wessel Dankers.
- mp3symlinks: reimplemented as a wrapper for oggsymlinks.
- dr_permutate: new name for permutate.
- The draai Debian package is now published.  Thanks to Tilburg University
  for hosting it.


draai version 20070823

- permutate, mp3symlinks: two simple scripts added, get installed in
  /usr/local/bin.  They're useful to me.
- cdrip: found another old script, now shipped with draai.  This script is not
  installed by default.
- By default (i.e. if -S is not given), run "mpc random off" since enabling
  random mode interacts badly with a shuffled playlist.  Thanks Wessel Dankers
  for bugreport.


draai version 20070326

- Installs zsh completion function for draai.
- Improved "tail" command: fix small bug in layout.


draai version 20070321

- Improved "tail" command: add --raw option; don't print month, day or seconds.
- Improved "quit" command: fade out more cleanly, fix bug: restore original
  volume after fade out.


draai version 20070320

- Improved "quit" command: now does a fade out; no longer gives stuff on stdout,
  so that the at job won't generate an email message.
- Improved "tail" command: don't print year.
- Fix bug in --time option, triggered when no "+" in timespec.
- New build system: no longer needs python; reimplemented setup script in zsh.
- New setup script offers "install" and "dist" command.


draai version 20070319

- Enable crossfade mode for mpc.
- New option: "--time".
- New command: "syslog".
- Command "tail" now crops lines to fit in 80 columns.


draai version 20070318

- New commands: "tail", "quit".
- New option: "--noshuffle".
- Improved manpage and README.


draai version 20070314

- Reimplemented as a zsh shell script, wrapping mpc(1).  No more python, no more
  calling ogg123 or mpg321 directly.  Lots of subcommands are gone, lots of
  options are gone.  Lots have been added too.  Check the manpage.


draai version 20060430

- (This version was never "officially" released.)
  This draai has commands "next" and "nice" and options --noshuffle,
  --playlistfile=PLAYLIST (can be supplied more than once) and --number.


draai version 20050627

- Fix syntax error


draai version 20050505

- Search in both ~/mp3 and . for track
- More than one playlistfile arg, fix bug in (n/N) print in DrDefault


draai version 20050326

- Ship GPL, fixes in build system.
- No longer needs a Makefile in audiofiles directory.


draai version 20050323

- First public release.

# This file is maintained at http://git.mdcc.cx/draai
